## Ms. Isle
- Adds a playable Missile Drone survivor based on the existing Missile Drone ally, including a full suite of abilities to make being a flying survivor more playable and enjoyable
- Please read the skill descriptions and the Overview page on the selection screen to fully understand how to use their abilities!

[![](https://i.imgur.com/HddQQTD.png)]()
[![](https://i.imgur.com/cjT5Ge3.jpg)]()

## Skills

| Skill | | Description | Stats |
|:-|-|------|-|
| Fly-by | ![](https://i.imgur.com/aRTZ99Y.png) | Ms. Isle can `fly` in any direction! Flying close to terrain will cause her to `sprint`! Jumping is replaced with `Overclocked Drives`. The jump and sprint keys now allow you to fly upwards and downwards respectively. | Sprint activates when within `5 metres` of terrain, deactivates when `8 metres` away from terrain.  |
| AtG Misile Mk.II | ![](https://i.imgur.com/JjgbEyp.png) | `Agile`. Fire a barrage of missiles for `6x150%` damage. `Fire-rate bonuses increase the number of missiles in the barrage`. | Proc: `1.0`, CD: `2 sec` |
| Pack Hounds | ![](https://i.imgur.com/bUhDzox.png) | `Agile`. Fire a barrage of auto-targeting Pack Hound missiles for `400%` damage. `Charges for this ability are gained per-kill`. Max stock of 12.| Proc: `1.0` |
| Overclocked Drives | ![](https://i.imgur.com/i1MMw9a.png) | Enter a brief omnidirectional boost. `Items that affect jumping affect this ability instead`. This ability recharges all stocks upon flying near terrain. | CD: Minimum of `2 sec` |
| Cumulative Warhead | ![](https://i.imgur.com/qMzWkIj.png) | Fire a cumbersome, slow-moving warhead for `500%` damage that `absorbs damage` dealt by you and your allies, exploding on impact for a huge detonation of a radius and damage influenced by the amount of absorbed damage. | Proc: `1.0`, CD: `30 sec` |

## Changelog
`2.1.0`
- Improved Cumulative Warhead internally:
	- No longer relies on resetting health to track damage dealt to it; instead rejects the damage info. This will also fix the warhead being able to die if damage with a high enough attack.
	- Fixed an issue with StarStorm's buff system panicking whenever you damage the missile (hopefully?)
- Increased Cumulative Warhead damage and radius scaling slightly, but also increase velocity to compensate (it's harder to make a screenwipe now)
- Adjusted AtG Missile Mk.II: Added angle limit of ~15 deg. for targeting (missiles will be fired at the closest target, both in terms of distance and angle within a 15 degree cone)
- Reduced AtG Missile Mk.II proc coefficient from 1.0 -> 0.4 (per missile)
- Reduced AtG Missile Mk.II spread from 0-5 degrees to 0.5-1.5 degrees
- Increase Overclocked Drives' effect when not sprinting (midair dashing was too weak compared to dashing while sprinting/near terrain)
- Reworked Pack Hounds:
	- Reduced damage from 400% to 90% base damage
	- Each stock now fires a salvo of four missiles, with a small delay between salvos
	- Additional stocks increase the salvo count
	- Tweaked proc coefficient to 0.7 (up from 0 I think? Unconfirmed)
- Tweaked sounds

`2.0.1`
- Readme formatting fixes

`2.0.0`
- Ms. Isle Returns! Major Rebalance Update:
- Increased **AtG Missile Mk.II** damage (100% base -> 150%)
- Decreased **AtG Missile Mk.II** knockback
- **AtG Missile Mk.II**: Firerate increases that result in a fractional amount of bonus rockets now increases the firerate and reduces the cooldown by up to 25% - for example, 1 **Soldier's Syringe** -> +25% firerate, 0.25 / 0.3 = 0.83 -> firerate and cooldown bonus = 0.83 * 25%
- **Pocket I.C.B.M** now applies to her primary and secondary abilities:
	- AtG Missile Mk.II fires an additional 2 rockets in fork pattern, but each missile's base damage is reduced by 50% (otherwise one stack would give triple damage on a primary ability lol)
	- Pack Hounds fires an additional 2 rockets *total*
- Updated the **Pack Hounds** skill:
	- Capped total stock to 12
	- Changed **Backup Magazine** interaction: now increases cap as with other survivors, instead of giving +1 (per stack) stock per kill
- Reduced **Cumulative Warhead** damage and radius scaling significantly
- Changed base crit chance to 1%, in line with other survivors
- Updated secondary ability icon (old texture no longer exists)

`1.3.2`
- Added a character master. This will fix any errors that could potentially pop up when the games tries to spawn an NPC of Ms. Isle.

`1.3.1`
- Fixed spawning under the ground sometimes.

`1.3.0`
- Updated for SOTV.

`1.2.1`
- Fixed aim-ray intersecting with self

`1.2.0`
- Ms. Isle is now multplayer compatible! All abilities have been tested in 2-player multiplayer on both client-side and host-side, with the only remaining issue being the invisible nuke bug. Aside from this visual bug, the mod is now multiplayer ready.
- Fixed *Pack Hounds* not accumulating stocks on anyone but the host.
- Fixed *Pack Hounds* ability icon showing an incongruent number of stocks (especially on level transition).
- Fixed *Pack Hounds* appearing to have no controller and just flying into the ground on the client-side, despite actually working on the server.
- Changed *Pack Hounds* to have a cap of 50 (Short term fix for Back Magazines' interaction with this mod being very poorly designed by me)
- Fixed *Cumulative Warhead* not having the intended number of health points and dying early. Previously it was possible to detonate the nuke early using a high damage attack like a Royal Capacitor.

`1.1.2`
- Fixed absent skin definition causing issues on the character selection screen

`1.1.0`
- Hotfix for Hardlight Afterburner breaking the Overclocked Drives ability. Overclocked Drives now actually displays how many charges it has as other skills would (Influenced by Hopoo feathers and Hardlight afterburners). Overclocked drives is no longer interruptible. Minor fixes to localisation strings and to the Thunderstore page's images.

`1.0.3`
- Hotfix for infinite M2 (Pack Hounds) spam

`1.0.1`
- Fixes to readme file

`1.0.0`
- Initial release!

## Credits
**Sgerbwd Gwyn** (Alex James) - Programming/Development  
**Hopoo Games** - Stock assets etc.  
Discord users A Very Spooky Fisho, The GoldenOne, Gonk, and Shiroe - Reporting the gamebreaking bug from the initial release
Discord user SethHoward - Reporting the Hardlight Afterburner bug
twitch.tv/JustANiceDude and EnderGrimm - Testing multiplayer and reporting bugs with specific details
Discord user Tank Man - reporting aim-ray bug
Dragonyck - Updating to SOTV and updates 1.3 to 1.32
## Contacts
**Sgerbwd Gwyn** (Alex James) - Discord @ Sgerbwd Gwyn
___
#### Fun Facts:
Not a single new prefab, asset, of resource was used in the creation of this mod. All resources are either stock (already installed with RoR2), or in-code modified versions of those stock assets. (Hence the small install size)

#### Source:
Looking to get into modding? Check out the bitter, swear-word ridden source code at https://bitbucket.org/AJames99/missiledronesurvivormod